package com.avaya.ccs.javafxrefclient.request;

import com.avaya.ccs.api.UserI;
import com.avaya.ccs.api.enums.ContactType;
import com.avaya.ccs.javafxrefclient.Logger;

public class OriginateEmailRequest extends UserRequest{
	
	String userId;
	private static final Logger LOG = Logger.getLogger(OriginateEmailRequest.class);
	
    public OriginateEmailRequest(String userId) {
        super(LOG, userId);
        this.userId=userId;
    }
    
    
    @Override
    protected Object call() throws Exception {
        String methodName = "call() ";
        LOG.trace(methodName + "+");
        UserI user = getUser();
        user.initiateAdhocEmail();
        LOG.trace(methodName + "-");
        return null;
    }

}
